[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# FileIsExecutable

FileIsExecutable - checks if AFileName refers to an executable file

## Declaration

Source position: fileutil.pas line 60

`function FileIsExecutable(`
`const AFilename: String`
`):Boolean;`

## Arguments

`AFilename` |  | Name of the file for checking

## Function result

Returns True if file is executable (always true in Windows if file exists)

## Description

FileIsExecutable - checks if AFileName refers to an executable file

On Windows systems, if the file exists it is regarded as executable.

On other systems (eg Unix etc), looks at file permissions to see whether execute flag is set

The latest version of this document can be found at lazarus-ccr.sourceforge.net.